---
updatedAt: 2025-11-10T23:56:31.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Customer Validation

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "new-value-added-services",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com/quicktellerservice/api/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/Transactions/validatecustomers": {
      "post": {
        "summary": "Customer Validation",
        "description": "",
        "operationId": "customer-validation-1",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content_Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "terminalId",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "Customers": {
                    "type": "object",
                    "properties": {
                      "customerId": {
                        "type": "string"
                      },
                      "paymentCode": {
                        "type": "string"
                      },
                      "responseCode": {
                        "type": "string",
                        "description": "List of response codes and their descriptions can be found here"
                      },
                      "fullName": {
                        "type": "string"
                      },
                      "amount": {
                        "type": "string"
                      },
                      "amountType": {
                        "type": "string"
                      },
                      "amountTypeDescription": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"Customers\": [\n        {\n            \"BillerId\": 0,\n            \"PaymentCode\": \"0488051528\",\n            \"CustomerId\": \"08124888436\",\n            \"ResponseCode\": \"90000\",\n            \"FullName\": \"adubiaro deborah\",\n            \"Amount\": 0,\n            \"AmountType\": 0,\n            \"AmountTypeDescription\": \"AnyAmount\",\n            \"Surcharge\": 0\n        }\n    ],\n    \"ResponseCode\": \"90000\",\n    \"ResponseCodeGrouping\": \"SUCCESSFUL\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "Customers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "BillerId": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "PaymentCode": {
                            "type": "string",
                            "example": "0488051528"
                          },
                          "CustomerId": {
                            "type": "string",
                            "example": "08124888436"
                          },
                          "ResponseCode": {
                            "type": "string",
                            "example": "90000"
                          },
                          "FullName": {
                            "type": "string",
                            "example": "adubiaro deborah"
                          },
                          "Amount": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "AmountType": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "AmountTypeDescription": {
                            "type": "string",
                            "example": "AnyAmount"
                          },
                          "Surcharge": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          }
                        }
                      }
                    },
                    "ResponseCode": {
                      "type": "string",
                      "example": "90000"
                    },
                    "ResponseCodeGrouping": {
                      "type": "string",
                      "example": "SUCCESSFUL"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl http://qa.interswitchng.com/quicktellerservice/api/v5/Transactions/validatecustomers \\\n-H \"Authorization: Bearer <TOKEN>\" \\\n-H \"Content-Type: application/json\" \\\n-H \"TerminalID: <your_terminal_id>\" \\\n-D '{\n\t\t\t\t\"customers\": [\n\t\t\t\t{\n            \"PaymentCode\": \"0488051528\",\n            \"CustomerId\": \"08124888436\"\n\t\t\t}\n\t\t\t\t],\n\t\t\t\"TerminalId\": \"3pbl\"\n\t\t\t} ''\n-X POST"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authentication",
        "value": "Bearer"
      },
      {
        "key": "Content-Type",
        "value": "Appication/Json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```